<?php
$mts_options = get_option(MTS_THEME_NAME);
/*------------[ Meta ]-------------*/
if ( ! function_exists( 'mts_meta' ) ) {
	function mts_meta(){
	global $mts_options, $post;
?>
<?php if ($mts_options['mts_favicon'] != ''){ ?>
	<link rel="icon" href="<?php echo $mts_options['mts_favicon']; ?>" type="image/x-icon" />
<?php } ?>
<!--iOS/android/handheld specific -->
<link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/images/apple-touch-icon.png" />

<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black">

<?php if($mts_options['mts_prefetching'] == '1') { ?>
<?php if (is_front_page()) { ?>
	<?php $my_query = new WP_Query('posts_per_page=1'); while ($my_query->have_posts()) : $my_query->the_post(); ?>
	<link rel="prefetch" href="<?php the_permalink(); ?>">
	<link rel="prerender" href="<?php the_permalink(); ?>">
	<?php endwhile; wp_reset_query(); ?>
<?php } elseif (is_singular()) { ?>
	<link rel="prefetch" href="<?php echo home_url(); ?>">
	<link rel="prerender" href="<?php echo home_url(); ?>">
<?php } ?>
<?php } ?>
    <meta itemprop="name" content="<?php bloginfo( 'name' ); ?>" />
    <meta itemprop="url" content="<?php echo site_url(); ?>" />
    <?php if ( is_singular() ) { ?>
    <meta itemprop="creator accountablePerson" content="<?php $user_info = get_userdata($post->post_author); echo $user_info->first_name.' '.$user_info->last_name; ?>" />
    <?php } ?>
<?php }
}

/*------------[ Head ]-------------*/
if ( ! function_exists( 'mts_head' ) ){
	function mts_head() {
	global $mts_options;
?>
<?php echo $mts_options['mts_header_code']; ?>
<?php }
}
add_action('wp_head', 'mts_head');

/*------------[ Copyrights ]-------------*/
if ( ! function_exists( 'mts_copyrights_credit' ) ) {
	function mts_copyrights_credit() { 
	global $mts_options;
?>
<!--start copyrights-->
<div id="copyright-note">
    <a href="<?php echo home_url(); ?>/" title="<?php bloginfo('description'); ?>" rel="nofollow"><?php bloginfo('name'); ?></a> Copyright &copy; <?php echo date("Y") ?>.
</div>
<!--end copyrights-->
<?php }
}

/*------------[ Credit Cards ]-------------*/
if ( ! function_exists( 'mts_credit_cards' ) ) {
    function mts_credit_cards() { 
        global $mts_options;

        if ( !empty( $mts_options['mts_accepted_payment_method_images'] ) ) {
        ?>
        <ul class="card-list">
        <?php
        foreach( $mts_options['mts_accepted_payment_method_images'] as $image ) {
            $image_title      = $image['mts_payment_method_title'];
            $card             = $image['mts_payment_method_image'];

            $custom_image_src = wp_get_attachment_image_src( $image['mts_payment_method_custom_image'], 'full' );
            $custom_image_src = $custom_image_src[0];

            $src = ( empty( $custom_image_src ) ) ? get_template_directory_uri().'/options/img/credit-cards/'.$card.'.png' : $custom_image_src;
        ?>
            <li><img src="<?php echo $src; ?>" title="<?php echo $image_title; ?>" /></li>
        <?php
        }
        ?>
        </ul><!-- .card-list -->
        <?php
        }
    }
}


/*------------[ footer ]-------------*/
if ( ! function_exists( 'mts_footer' ) ) {
	function mts_footer() { 
	global $mts_options;
?>
<?php if ($mts_options['mts_analytics_code'] != '') { ?>
<!--start footer code-->
<?php echo $mts_options['mts_analytics_code']; ?>
<!--end footer code-->
<?php } ?>
<?php }
}

/*------------[ breadcrumb ]-------------*/
if ( !function_exists('mts_the_breadcrumb') ) {

    function mts_the_breadcrumb() {

        if ( mts_isWooCommerce() && is_woocommerce() ) {

            woocommerce_breadcrumb();

        } else {

            echo '<span typeof="v:Breadcrumb"><a rel="v:url" property="v:title" href="';
            echo home_url();
            echo '" rel="nofollow">'.__('Home','mythemeshop');
            echo "</a></span><span class='delimiter fa fa-angle-right'></span>";
            if (is_category() || is_single()) {
                $categories = get_the_category();
                $output = '';
                if($categories){
                    foreach($categories as $category) {
                        echo '<span typeof="v:Breadcrumb"><a href="'.get_category_link( $category->term_id ).'" rel="v:url" property="v:title">'.$category->cat_name.'</a></span><span class="delimiter fa fa-angle-right"></span>';
                    }
                }
                if (is_single()) {
                    echo "<span typeof='v:Breadcrumb'><span property='v:title'>";
                    the_title();
                    echo "</span></span>";
                }
            } elseif (is_page()) {
                echo "<span typeof='v:Breadcrumb'><span property='v:title'>";
                the_title();
                echo "</span></span>";
            }
        }
    }
}

/*------------[ schema.org-enabled the_category() and the_tags() ]-------------*/
function mts_the_category( $separator = ', ' ) {
    $categories = get_the_category();
    $count = count($categories);
    foreach ( $categories as $i => $category ) {
        echo '<a href="' . get_category_link( $category->term_id ) . '" title="' . sprintf( __( "View all posts in %s", 'mythemeshop' ), $category->name ) . '" ' . ' itemprop="articleSection">' . $category->name.'</a>';
        if ( $i < $count - 1 )
            echo $separator;
    }
}
function mts_the_tags($before = null, $sep = ', ', $after = '') {
    if ( null === $before ) 
        $before = __('Tags: ', 'mythemeshop');
    
    $tags = get_the_tags();
    if (empty( $tags ) || !is_wp_error( $tags ) ) {
        return;
    }
    $tag_links = array();
    foreach ($tags as $tag) {
        $link = get_tag_link($tag->term_id);
        $tag_links[] = '<a href="' . esc_url( $link ) . '" rel="tag" itemprop="keywords">' . $tag->name . '</a>';
    }
    echo $before.join($sep, $tag_links).$after;
}

/*------------[ pagination ]-------------*/
if (!function_exists('mts_pagination')) {
    function mts_pagination($pages = '', $range = 3) { 
    	$showitems = ($range * 3)+1;
    	global $paged; if(empty($paged)) $paged = 1;
    	if($pages == '') {
    		global $wp_query; $pages = $wp_query->max_num_pages; 
    		if(!$pages){ $pages = 1; } 
    	}
    	if(1 != $pages) { 
    		echo "<div class='pagination'><ul>";
    		if($paged > 2 && $paged > $range+1 && $showitems < $pages) 
    			echo "<li><a rel='nofollow' href='".get_pagenum_link(1)."'><i class='fa fa-angle-double-left'></i> ".__('First','mythemeshop')."</a></li>";
    		if($paged > 1 && $showitems < $pages) 
    			echo "<li><a rel='nofollow' href='".get_pagenum_link($paged - 1)."' class='inactive'><i class='fa fa-angle-left'></i> ".__('Previous','mythemeshop')."</a></li>";
    		for ($i=1; $i <= $pages; $i++){ 
    			if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )) { 
    				echo ($paged == $i)? "<li class='current'><span class='currenttext'>".$i."</span></li>":"<li><a rel='nofollow' href='".get_pagenum_link($i)."' class='inactive'>".$i."</a></li>";
    			} 
    		} 
    		if ($paged < $pages && $showitems < $pages) 
    			echo "<li><a rel='nofollow' href='".get_pagenum_link($paged + 1)."' class='inactive'>".__('Next','mythemeshop')." <i class='fa fa-angle-right'></i></a></li>";
    		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) 
    			echo "<li><a rel='nofollow' class='inactive' href='".get_pagenum_link($pages)."'>".__('Last','mythemeshop')." <i class='fa fa-angle-double-right'></i></a></li>";
    			echo "</ul></div>"; 
    	}
    }
}

/*------------[ Header Cart Button ]-------------*/
if ( ! function_exists( 'mts_cart_button' ) ) {

    function mts_cart_button() {

        global $mts_options, $woocommerce;

        $cart_contents_count = $woocommerce->cart->cart_contents_count;
        ?>
        <div class="mts-cart-button-wrap">
            <a href="<?php echo $woocommerce->cart->get_cart_url(); ?>" class="mts-cart-button cart-contents">
                <i class="fa fa-shopping-cart"></i><?php echo __( 'Cart (', 'mythemeshop') . $cart_contents_count . ')'; ?><i class="fa dropdown-caret"></i>
            </a>
            <div class="mts-cart-content">
            <?php if ( $cart_contents_count != '0' ) { ?>
                <div class="mts-cart-content-body">
                <?php
                foreach ( $woocommerce->cart->cart_contents as $cart_item_key => $cart_item ) {
                
                    $cart_item_data = $cart_item['data'];
                                                               
                    if ( $cart_item_data->exists() && $cart_item['quantity'] > 0 ) {

                        $product_title     = $cart_item_data->get_title();
                        $product_permalink = get_permalink( $cart_item['product_id'] );
                        ?>

                        <div class="mts-cart-product clearfix">
                            <a class="mts-cart-product-image" href="<?php echo $product_permalink; ?>"><?php echo $cart_item_data->get_image(); ?></a>
                            <?php echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf( '<a href="%s" class="remove" title="%s">&times;</a>', esc_url( $woocommerce->cart->get_remove_url( $cart_item_key ) ), __( 'Remove this item', 'mythemeshop' ) ), $cart_item_key ); ?>
                            <div class="mts-cart-product-data">
                                <div class="mts-cart-product-title">
                                    <a href="<?php echo $product_permalink; ?>"><?php echo $product_title; ?></a>
                                </div>
                                <div class="mts-cart-product-price">
                                    <?php echo woocommerce_price( $cart_item_data->get_price() ); ?>
                                    <?php if ( $cart_item['quantity'] > 1 ) echo ' &times; ' . $cart_item['quantity']; ?>
                                </div>
                            </div>
                        </div>
                <?php
                    }
                }
                ?>
                </div>
                <div class="mts-cart-content-footer clearfix">
                    <span class="mts-cart-total"><?php _e( 'Total:', 'mythemeshop' ); ?> <?php echo $woocommerce->cart->get_cart_total(); ?></span>
                    <a href="<?php echo esc_url( $woocommerce->cart->get_checkout_url() ) ?>" class="button mts-cart-button"><?php _e( 'Checkout', 'mythemeshop' ); ?></a>
                </div>
            <?php } else { ?>
                <div class="mts-cart-content-footer clearfix">
                    <span class="mts-cart-total"><?php _e( 'Total:', 'mythemeshop' ); ?> <?php echo $woocommerce->cart->get_cart_total(); ?></span>
                    <a href="<?php echo get_permalink( wc_get_page_id( 'shop' ) ); ?>" class="button mts-cart-button"><?php _e( 'Go to Shop', 'mythemeshop' ); ?></a>
                </div>
            <?php } ?>
            </div>
        </div>
<?php
    }
}
/*------------[ Header Wish List Link ]-------------*/
if ( ! function_exists( 'mts_wishlist_link' ) ) {
    function mts_wishlist_link() {
        global $mts_options;
        if ( mts_isWooCommerce() && isset( $mts_options['mts_wishlist'] ) && !empty( $mts_options['mts_wishlist'] ) ) {

        ?>
            <span class="mts-wishlist">
                <a href="<?php echo mts_get_wishlist_page_url(); ?>" class="mts-wishlist-link">
                    <?php _e( 'Wish List', 'mythemeshop' ); ?> <span class="mts-wishlist-link-count"><?php mts_wishlist_count();?></span>
                </a>
            </span>
        <?php
        }
    }
}
/*------------[ Signup/Login Links ]-------------*/
if ( ! function_exists( 'mts_account_links' ) ) {
    function mts_account_links() {
        if ( mts_isWooCommerce() ) {
            global $woocommerce;
?>
        <span class="mts-account">
            <?php if ( is_user_logged_in() ) { ?>
                <a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>" title="<?php _e('My Account','mythemeshop'); ?>"><?php _e('My Account','mythemeshop'); ?></a>
            <?php } 
            else { ?>
                <a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>" title="<?php _e('Login / Register','mythemeshop'); ?>"><?php _e('Login / Register','mythemeshop'); ?></a>
            <?php } ?>
        </span>
<?php
        }
    }
}
/*------------[ WooCommerce product carousel loop start ]-------------*/
if ( ! function_exists( 'woocommerce_product_carousel_loop_start' ) ) {

    /**
     * Output the start of a product carousel loop. By default this is a DIV
     *
     * @access public
     * @param bool $echo
     * @return string
     */
    function woocommerce_product_carousel_loop_start( $echo = true ) {
        ob_start();
        wc_get_template( 'loop/carousel-loop-start.php' );
        if ( $echo )
            echo ob_get_clean();
        else
            return ob_get_clean();
    }
}
/*------------[ WooCommerce product carousel loop end ]-------------*/
if ( ! function_exists( 'woocommerce_product_carousel_loop_end' ) ) {

    /**
     * Output the end of a product carousel loop. By default this is a DIV
     *
     * @access public
     * @param bool $echo
     * @return string
     */
    function woocommerce_product_carousel_loop_end( $echo = true ) {
        ob_start();

        wc_get_template( 'loop/carousel-loop-end.php' );

        if ( $echo )
            echo ob_get_clean();
        else
            return ob_get_clean();
    }
}

/*------------[ WooCommerce Archive Wishlist Button ]-------------*/
if (!function_exists('mts_wishlist_button')) {
    function mts_wishlist_button() {
        global $mts_options;
        if ( isset( $mts_options['mts_wishlist'] ) && !empty( $mts_options['mts_wishlist'] ) ) {
            global $product;

            $url = mts_get_wishlist_page_url();
            $product_type = $product->get_type();
            $exists = mts_product_in_wishlist( $product->get_id() );

            $button_class = ( is_product() && 'woocommerce_single_product_summary' === current_filter() )  ? '' : ' button';
            $added_class = $exists ? ' added' : '';
            
            $html = '<a href="'.$url.'" data-product-id="' . $product->get_id() . '" data-product-type="' . $product_type . '" class="mts-add-to-wishlist'.$button_class.$added_class.'">' . __( 'Wishlist', 'mythemeshop' ) . '</a>';
            
            return $html;
        }
    }
}

/*------------[ WooCommerce Archive Compare Button ]-------------*/
if (!function_exists('mts_compare_button')) {
    function mts_compare_button() {
        
        if ( class_exists( 'YITH_Woocompare_Frontend' ) )  {
            
            if ( get_option('yith_woocompare_compare_button_in_products_list') == 'yes' ) {
                
                global $product, $yith_woocompare;
                $product_id = $product->exists() ? $product->get_id() : 0;

                // return if product doesn't exist
                if ( empty( $product_id ) ) return;

                global $yith_woocompare;

                if ( $yith_woocompare->is_frontend() ) {
                    printf( '<a href="%s" class="compare button" data-product_id="%d">%s</a>', $yith_woocompare->obj->add_product_url( $product_id ), $product_id, get_option( 'yith_woocompare_button_text', __( 'Compare', 'yit' ) ) );
                }
            }
        }
    }
}


/*------------[ Related Posts ]-------------*/
if (!function_exists('mts_related_posts')) {
    function mts_related_posts() {
        global $post;
        $mts_options = get_option(MTS_THEME_NAME);
        if(!empty($mts_options['mts_related_posts'])) { ?>	
    		<!-- Start Related Posts -->
    		<?php 
            $empty_taxonomy = false;
            if (empty($mts_options['mts_related_posts_taxonomy']) || $mts_options['mts_related_posts_taxonomy'] == 'tags') {
                // related posts based on tags
                $tags = get_the_tags($post->ID); 
                if (empty($tags)) { 
                    $empty_taxonomy = true;
                } else {
                    $tag_ids = array(); 
                    foreach($tags as $individual_tag) {
                        $tag_ids[] = $individual_tag->term_id; 
                    }
                    $args = array( 'tag__in' => $tag_ids, 
                        'post__not_in' => array($post->ID), 
                        'posts_per_page' => $mts_options['mts_related_postsnum'], 
                        'ignore_sticky_posts' => 1, 
                        'orderby' => 'rand' 
                    );
                }
             } else {
                // related posts based on categories
                $categories = get_the_category($post->ID); 
                if (empty($categories)) { 
                    $empty_taxonomy = true;
                } else {
                    $category_ids = array(); 
                    foreach($categories as $individual_category) 
                        $category_ids[] = $individual_category->term_id; 
                    $args = array( 'category__in' => $category_ids, 
                        'post__not_in' => array($post->ID), 
                        'posts_per_page' => $mts_options['mts_related_postsnum'],  
                        'ignore_sticky_posts' => 1, 
                        'orderby' => 'rand' 
                    );
                }
             }
            if (!$empty_taxonomy) {
    		$my_query = new wp_query( $args ); if( $my_query->have_posts() ) {
    			echo '<div class="related-posts">';
                echo '<h4>'.__('Related Posts','mythemeshop').'</h4>';
                echo '<div class="clear">';
                $posts_per_row = 4;
                $j = 0;
    			while( $my_query->have_posts() ) { $my_query->the_post(); ?>
    			<article class="latestPost excerpt  <?php echo (++$j % $posts_per_row == 0) ? 'last' : ''; ?>">
				<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow" id="featured-thumbnail">
					<?php echo '<div class="featured-thumbnail">'; the_post_thumbnail('featured',array('title' => '')); echo '</div>'; ?>
				</a>
				<header>
						<h2 class="title front-view-title"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
				</header>
                	</article><!--.post.excerpt-->
    			<?php } echo '</div></div>'; }} wp_reset_query(); ?>
    		<!-- .related-posts -->
    	<?php }
    }
}


if ( ! function_exists('mts_the_postinfo' ) ) {
    function mts_the_postinfo( $section = 'home' ) {
        $mts_options = get_option( MTS_THEME_NAME );
        if ( ! empty( $mts_options["mts_{$section}_headline_meta"] ) ) { ?>
			<div class="post-info">
				<?php if ( ! empty( $mts_options["mts_{$section}_headline_meta_info"]['author']) ) { ?>
					<span class="theauthor"><i class="fa fa-user"></i> <span itemprop="author"><?php the_author_posts_link(); ?></span></span>
				<?php } ?>
				<?php if( ! empty( $mts_options["mts_{$section}_headline_meta_info"]['date']) ) { ?>
					<span class="thetime updated"><i class="fa fa-calendar"></i> <span itemprop="datePublished"><?php the_time( get_option( 'date_format' ) ); ?></span></span>
				<?php } ?>
				<?php if( ! empty( $mts_options["mts_{$section}_headline_meta_info"]['category']) ) { ?>
					<span class="thecategory"><i class="fa fa-tags"></i> <?php mts_the_category(', ') ?></span>
				<?php } ?>
				<?php if( ! empty( $mts_options["mts_{$section}_headline_meta_info"]['comment']) ) { ?>
					<span class="thecomment"><i class="fa fa-comments"></i> <a rel="nofollow" href="<?php comments_link(); ?>" itemprop="interactionCount"><?php echo comments_number();?></a></span>
				<?php } ?>
			</div>
		<?php }
    }
}

if ( !function_exists('mts_social_buttons') ) {
    function mts_social_buttons() {
        $mts_options = get_option( MTS_THEME_NAME );
        global $post;
        if ( ( is_singular( array( 'post' ) ) && $mts_options['mts_social_buttons'] == '1' ) || ( is_singular( array( 'product' ) ) && $mts_options['mts_product_social_buttons'] == '1' ) ) { ?>
    		<!-- Start Share Buttons -->
    		<div class="shareit <?php echo $mts_options['mts_social_button_position']; ?>">
    			<?php if ( ( is_singular( array( 'post' ) ) && $mts_options['mts_twitter'] == '1' ) || ( is_singular( array( 'product' ) ) && $mts_options['mts_product_twitter'] == '1' ) ) { ?>
    				<!-- Twitter -->
    				<span class="share-item twitterbtn">
    					<a href="https://twitter.com/share" class="twitter-share-button" data-via="<?php echo $mts_options['mts_twitter_username']; ?>">Tweet</a>
    				</span>
    			<?php } ?>
    			<?php if ( ( is_singular( array( 'post' ) ) && $mts_options['mts_gplus'] == '1' ) || ( is_singular( array( 'product' ) ) && $mts_options['mts_product_gplus'] == '1' ) ) { ?>
    				<!-- GPlus -->
    				<span class="share-item gplusbtn">
    					<g:plusone size="medium"></g:plusone>
    				</span>
    			<?php } ?>
    			<?php if ( ( is_singular( array( 'post' ) ) && $mts_options['mts_facebook'] == '1' ) || ( is_singular( array( 'product' ) ) && $mts_options['mts_product_facebook'] == '1' ) ) { ?>
    				<!-- Facebook -->
    				<span class="share-item facebookbtn">
    					<div id="fb-root"></div>
    					<div class="fb-like" data-send="false" data-layout="button_count" data-width="150" data-show-faces="false"></div>
    				</span>
    			<?php } ?>
    			<?php if ( ( is_singular( array( 'post' ) ) && $mts_options['mts_linkedin'] == '1' ) || ( is_singular( array( 'product' ) ) && $mts_options['mts_product_linkedin'] == '1' ) ) { ?>
    				<!--Linkedin -->
    				<span class="share-item linkedinbtn">
    					<script type="IN/Share" data-url="<?php get_permalink(); ?>"></script>
    				</span>
    			<?php } ?>
    			<?php if ( ( is_singular( array( 'post' ) ) && $mts_options['mts_stumble'] == '1' ) || ( is_singular( array( 'product' ) ) && $mts_options['mts_product_stumble'] == '1' ) ) { ?>
    				<!-- Stumble -->
    				<span class="share-item stumblebtn">
    					<su:badge layout="1"></su:badge>
    				</span>
    			<?php } ?>
    			<?php if ( ( is_singular( array( 'post' ) ) && $mts_options['mts_pinterest'] == '1' ) || ( is_singular( array( 'product' ) ) && $mts_options['mts_product_pinterest'] == '1' ) ) { ?>
    				<!-- Pinterest -->
    				<span class="share-item pinbtn">
    					<a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'large' ); echo $thumb['0']; ?>&description=<?php the_title(); ?>" class="pin-it-button" count-layout="horizontal">Pin It</a>
    				</span>
    			<?php } ?>
    		</div>
    		<!-- end Share Buttons -->
    	<?php }
    }
}

/*------------[ Class attribute for <article> element ]-------------*/
if ( ! function_exists( 'mts_article_class' ) ) {
    function mts_article_class() {
        $mts_options = get_option( MTS_THEME_NAME );
        $class = '';
        
        // sidebar or full width
        if ( mts_custom_sidebar() == 'mts_nosidebar' ) {
            $class = 'ss-full-width';
        } else {
            $class = 'article';
        }
        
        return $class;
    }
}

/*------------[ Header Nav Social Links and Search Form ]-------------*/
if ( ! function_exists( 'mts_navigation_extras' ) ) {
    function mts_navigation_extras() {
    global $mts_options;

    if ( $mts_options['mts_twitter_link'] != '' || $mts_options['mts_facebook_link'] != '' || $mts_options['mts_google_link'] != '' || $mts_options['mts_rss_link'] != '' ||  $mts_options['mts_header_search_form'] == '1' ) {
    ?>
        <div class="navigation-extras">
        <?php if ( $mts_options['mts_twitter_link'] != '' || $mts_options['mts_facebook_link'] != '' || $mts_options['mts_google_link'] != '' || $mts_options['mts_rss_link'] != '' ) { ?>
            <ul class="social-links">
            <?php if($mts_options['mts_twitter_link'] != '') { ?>
                <li><a href="<?php echo $mts_options['mts_twitter_link']; ?>" target="_blank" class="twitter"><i class="fa fa-twitter"></i></a></li>
            <?php } ?>
            <?php if($mts_options['mts_facebook_link'] != '') { ?>
                <li><a href="<?php echo $mts_options['mts_facebook_link']; ?>" target="_blank" class="facebook"><i class="fa fa-facebook"></i></a></li>
            <?php } ?>
            <?php if($mts_options['mts_google_link'] != '') { ?>
                <li><a href="<?php echo $mts_options['mts_google_link']; ?>" target="_blank" class="google-plus"><i class="fa fa-google-plus"></i></a></li>
            <?php } ?>
            <?php if($mts_options['mts_rss_link'] != '') { ?>
                <li><a href="<?php echo $mts_options['mts_rss_link']; ?>" target="_blank" class="rss"><i class="fa fa-rss"></i></a></li>
            <?php } ?>
            </ul>
        <?php } ?>
        <?php if ($mts_options['mts_header_search_form'] == '1') { ?>
            <div class="header-search">
                <a href="#" class="fa fa-search"></a>
                <form class="search-form" action="<?php echo home_url(); ?>" method="get">
                    <input class="hideinput" name="s" id="s" type="search" placeholder="<?php _e('Search...', 'mythemeshop'); ?>" autocomplete="off" x-webkit-speech="x-webkit-speech" />
                </form>
            </div>
        <?php } ?>
        </div>
    <?php }
    }
}
?>