<?php
/**
 * Checkout Form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<ul id="checkout-progress" class="clearfix">
	<li><a href="#" class="disabled"><span class="step">1</span><br /><span class="step-title"><?php _e( 'Shopping Cart', 'mythemeshop' ); ?></span></a></li>
	<li class="active"><a href="#" data-tab="tab-billing-shipping"><span class="step">2</span><br /><span class="step-title"><?php _e( 'Checkout Details', 'mythemeshop' ); ?></span></a></li>
	<li><a href="#" data-tab="tab-payment-method"><span class="step">3</span><br /><span class="step-title"><?php _e( 'Payment Method', 'mythemeshop' ); ?></span></a></li>
	<li><a href="#" class="disabled"><span class="step">4</span><br /><span class="step-title"><?php _e( 'Order Complete', 'mythemeshop' ); ?></span></a></li>
</ul>
<?php

wc_print_notices();

do_action( 'woocommerce_before_checkout_form', $checkout );

// If checkout registration is disabled and not logged in, the user cannot checkout
if ( ! $checkout->enable_signup && ! $checkout->enable_guest_checkout && ! is_user_logged_in() ) {
	echo apply_filters( 'woocommerce_checkout_must_be_logged_in_message', __( 'You must be logged in to checkout.', 'mythemeshop' ) );
	return;
}

// filter hook for include new pages inside the payment method
$get_checkout_url = apply_filters( 'woocommerce_get_checkout_url', WC()->cart->get_checkout_url() ); ?>

<form name="checkout" method="post" class="checkout woocommerce-checkout" action="<?php echo esc_url( $get_checkout_url ); ?>" enctype="multipart/form-data">

	<?php if ( sizeof( $checkout->checkout_fields ) > 0 ) : ?>

		<div class="checkout-tab tab-billing-shipping clearfix">
			<?php do_action( 'woocommerce_checkout_before_customer_details' ); ?>

			<div class="col2-set" id="customer_details">

			<?php if ( is_user_logged_in() ) : ?>

				<div class="col-1">

					<?php do_action( 'woocommerce_checkout_billing' ); ?>

				</div>

				<div class="col-2">

					<?php do_action( 'woocommerce_checkout_shipping' ); ?>

				</div>

			<?php else : ?>

				<?php do_action( 'woocommerce_checkout_billing' ); ?>

				<?php do_action( 'woocommerce_checkout_shipping' ); ?>

			<?php endif; ?>

				<div class="clearfix"></div>
				<a href="#" class="button checkout-next-button" data-activate="tab-payment-method"><?php _e( 'Continue', 'mythemeshop' ); ?></a>

			</div>

			<?php do_action( 'woocommerce_checkout_after_customer_details' ); ?>
		</div>
	<?php endif; ?>

	<?php do_action( 'woocommerce_checkout_before_order_review' ); ?>

	<div class="checkout-tab tab-payment-method clearfix">
		<div id="order_review" class="woocommerce-checkout-review-order col2-set">
			<?php do_action( 'woocommerce_checkout_order_review' ); ?>
		</div>
	</div>

	<?php do_action( 'woocommerce_checkout_after_order_review' ); ?>

</form>

<?php do_action( 'woocommerce_after_checkout_form', $checkout ); ?>